//
// Created by main on 31-10-22.
//

#ifndef FUGG_MOVERPROPERTY_H
#define FUGG_MOVERPROPERTY_H

#include "../../core.h"

#include "Rank.h"
#include "Element.h"

namespace flyff {
    struct MoverProperty {
        union {
            DEFINE_MEMBER(40, const flyff::String, name);
            DEFINE_MEMBER(56, const Rank, rank);
            DEFINE_MEMBER(60, const Element, element);

            DEFINE_MEMBER(120, const float, speed);

            const MinimumSize<176> _size;
        };
    };
};

#endif //FUGG_MOVERPROPERTY_H
